Name:           ocaml-pa_ounit
Version:        109.34.00
Release:        %mkrel 6
Summary:        OCaml Syntax extension for OUnit tests
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://ocaml.janestreet.com
Source0:        http://ocaml.janestreet.com/ocaml-core/%{version}/individual/pa_ounit-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-type-conv
BuildRequires:  ocaml-camlp4-devel
BuildRequires:  ocaml-ounit-devel
Requires:       ocaml-compiler
Requires:       ocaml-camlp4
Requires:       ocaml-ounit

%description
Pa_ounit is a syntax extension that helps writing in-line test in ocaml
code. It allows user to register tests with a new `TEST` top-level expressions
and automatically collects all the tests in a module (in a function
`ounit_tests` of type `unit -> OUnit.test`).

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-ounit-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n pa_ounit-%{version}

%build
./configure
make

%install
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
make install

%files
%doc LICENSE.txt readme.md
%doc THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%dir %{_libdir}/ocaml/pa_ounit
%{_libdir}/ocaml/pa_ounit/META
%{_libdir}/ocaml/pa_ounit/runtime.mli
%{_libdir}/ocaml/pa_ounit/pa_ounit.cmi
%{_libdir}/ocaml/pa_ounit/pa_ounit.ml
%{_libdir}/ocaml/pa_ounit/pa_ounit_syntax.cma
%{_libdir}/ocaml/pa_ounit/pa_ounit_syntax.cmxs
%{_libdir}/ocaml/pa_ounit/pa_ounit_lib.cma
%{_libdir}/ocaml/pa_ounit/pa_ounit_lib.cmi
%{_libdir}/ocaml/pa_ounit/pa_ounit_lib.cmxs

%files devel
%doc emacs/
%doc example/
%{_libdir}/ocaml/pa_ounit/pa_ounit.cmx
%{_libdir}/ocaml/pa_ounit/pa_ounit_syntax.a
%{_libdir}/ocaml/pa_ounit/pa_ounit_syntax.cmxa
%{_libdir}/ocaml/pa_ounit/pa_ounit_lib.a
%{_libdir}/ocaml/pa_ounit/pa_ounit_lib.cmxa


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 109.34.00-6.mga6
+ Revision: 1056431
- Rebuild for fix in ocaml

* Fri Feb 12 2016 umeabot <umeabot> 109.34.00-5.mga6
+ Revision: 956700
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 109.34.00-4.mga5
+ Revision: 739535
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 109.34.00-3.mga5
+ Revision: 683082
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 109.34.00-2.mga4
+ Revision: 531187
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 blue_prawn <blue_prawn> 109.34.00-1.mga4
+ Revision: 462526
- update to last version 109.34.00

* Fri May 31 2013 malo <malo> 109.18.00-1.mga4
+ Revision: 433886
- update to 109.18.00

* Sun Jan 13 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361560
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 319790
- updated to last version 108.07.01
- constrain the set of libs from janest to be the same version

* Mon Oct 01 2012 blue_prawn <blue_prawn> 108.07.00-2.mga3
+ Revision: 301613
- rebuild for ocaml 4.00

* Sat Sep 29 2012 blue_prawn <blue_prawn> 108.07.00-1.mga3
+ Revision: 300246
- updated to last version 108.07.00
- new rpm group for ocaml

* Sat Jul 28 2012 malo <malo> 108.00.02-2.mga3
+ Revision: 275433
- add devel package to pull ocaml-ounit dependency

* Fri Jul 27 2012 malo <malo> 108.00.02-1.mga3
+ Revision: 274672
- imported package ocaml-pa_ounit

